From db4a303a8a7c0c1422c974b70c06f2776670216a Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Tue, 16 Nov 2021 13:40:27 -0300
Subject: [PATCH] Harden gssapi.h inclusion for headerscheck

If the file is not in any of these places, headerscheck warns about the
inclusion.
---
 src/include/libpq/be-gssapi-common.h | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/include/libpq/be-gssapi-common.h b/src/include/libpq/be-gssapi-common.h
index c07d7e7c5a..c2215f6ce7 100644
--- a/src/include/libpq/be-gssapi-common.h
+++ b/src/include/libpq/be-gssapi-common.h
@@ -14,6 +14,8 @@
 #ifndef BE_GSSAPI_COMMON_H
 #define BE_GSSAPI_COMMON_H
 
+#ifdef ENABLE_GSS
+
 #if defined(HAVE_GSSAPI_H)
 #include <gssapi.h>
 #else
@@ -23,4 +25,6 @@
 extern void pg_GSS_error(const char *errmsg,
 						 OM_uint32 maj_stat, OM_uint32 min_stat);
 
+#endif							/* ENABLE_GSS */
+
 #endif							/* BE_GSSAPI_COMMON_H */
-- 
2.30.2

